import request from "@/utils/request";

// 获取活动list列表
export function activityList(data) {
  return request({
    url: "/zhiyuanzhe/activity/list",
    method: "get",
    params: data,
  });
}
// 添加活动
export function activityAdd(data) {
  return request({
    url: "/zhiyuanzhe/activity",
    method: "post",
    data,
  });
}
// 修改活动
export function activityUpdate(data) {
  return request({
    url: "/zhiyuanzhe/activity",
    method: "put",
    data,
  });
}
//删除活动
export function activityDelete(ids) {
  return request({
    url: `/zhiyuanzhe/activity/${ids}`,
    method: "delete",
  });
}
//查询单个活动详情
export function activityGet(id) {
  return request({
    url: `/zhiyuanzhe/activity/${id}`,
    method: "get",
  });
}
//查看人员标签列表
export function peopleList(data) {
  return request({
    url: "/zhiyuanzhe/tags/list",
    method: "get",
    params: data,
  });
}
//人员标签详情
export function peopleGet(id) {
  return request({
    url: `/zhiyuanzhe/tags/${id}`,
    method: "get",
  });
}
//查看参与报名列表
export function canyuList(data) {
  return request({
    url: "/zhiyuanzhe/zyzreport/list",
    method: "get",
    params: data,
  });
}
//新增邀请
export function yaoqingAdd(data) {
  return request({
    url: `/zhiyuanzhe/activity/inviteTwo/${data}`,
    method: "post",
  });
}
export function postStatus(data) {
  return request({
    url: "/zhiyuanzhe/activity/enrollApproval",
    method: "post",
    data,
  });
}

export function getTagsInfo(id) {
  return request({
    url: "/zhiyuanzhe/activity/findByActivityUserId/" + id,
    method: "post",
  });
}
